Bug 488345 - java.com web site kills firefox
java.com web site kills firefox
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2009-03-03 15:07 EST by Tom Horsley
Modified: 2009-12-18 03:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 03:56:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Lots of rpm and backtrace info (48.82 KB, text/plain)
2009-03-04 13:58 EST, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2009-03-03 15:07:09 EST
Description of problem:

Goto java.com in 64 bit firefox. See a big button that says "Download Java"
and underneath that big button a link for "What Java Do I Have?" (or
something to that effect). Click on the link for testing current java version,
see the page that takes you to start to draw, then Blip! the firefox
window disappears.

Version-Release number of selected component (if applicable):

These may all be relevant since I'm not sure what is blowing up:


How reproducible:

Every time I click on that link.

Steps to Reproduce:
1. see above
Actual results:

firefox crash

Expected results:

some information about my java version

Additional info:

This is a pretty freshly installed and updated fedora 10 x86_64 box, I
haven't screwed around with tweaking many things yet, so this is apparently
"out of the box" behavior.
Comment 1 Matěj Cepl 2009-03-04 10:17:44 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

Please also install firefox-debuginfo (debuginfo-install is from
yum-utils package).

	debuginfo-install firefox

Then run firefox with a parameter -g. That will start firefox running inside of gdb debugger. Then use command run and do whatever you did to make firefox crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Tom Horsley 2009-03-04 13:58:39 EST
Created attachment 334031 [details]
Lots of rpm and backtrace info

I see gdb complaining about other libs loaded with no debuginfo, but perhaps
there was enough to see what is going on (looked like it called the nasty
old routine at address zero that causes so much trouble for everyone).
Comment 3 Tom Horsley 2009-03-12 18:34:06 EDT
I noticed a few firefox related updates come in and I tried visiting
java.com again. It seems to work OK now with no sudden disappearing act.

Here's the current set of rpms I have that matches the patterns above:

zooty> rpm -qa '*xulrun*' '*firefox*' '*mozilla*' '*flash*' '*plugin*'
Comment 4 Bug Zapper 2009-11-18 06:16:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-12-18 03:56:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.